%define anolis_release 1

%global modname repoze.lru

Name:           python-repoze-lru
Version:        0.7
Release:        %{anolis_release}%{dist}

Summary:        A tiny LRU cache implementation and decorator

License:        BSD
URL:            http://pypi.python.org/pypi/repoze.lru
Source0:        %pypi_source %{modname}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
repoze.lru is a LRU (least recently used) cache implementation. Keys and values\
that are not used frequently will be evicted from the cache faster than keys\
and values that are used frequently.\

%description %_description

%package -n python3-repoze-lru
Summary:        A tiny LRU cache implementation and decorator
%{?python_provide:%python_provide python3-repoze-lru}

%description -n python3-repoze-lru
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.

%package -n python3-repoze-lru-doc
Summary:        Documentation files for python3-repoze-lru
Requires:       python3-repoze-lru = %{EVR}
BuildArch:      noarch

%description -n python3-repoze-lru-doc
The python3-repoze-lru-doc package contains documentation files for python3-repoze-lru.

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-repoze-lru
%{python3_sitelib}/repoze/lru
%{python3_sitelib}/%{modname}-%{version}*

%files -n python3-repoze-lru-doc
%doc README.rst LICENSE.txt COPYRIGHT.txt CONTRIBUTORS.txt

%changelog
* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.7-1
- Init package from upstream
